xvdr Addon für xbmc (Adroid) unter Gentoo erstellen

  • Hallo,


    habe mal ein xvdr Addon bauen lassen:


    hier meine Schritte


    emerge dev-java/oracle-jdk-bin
    java-config --list-available-vms
    java-config --set-system-vm (mit der jdk Nummer)


    emerge android-ndk android-sdk-update-manager dev-vcs/git



    gpasswd -a <user> android


    Neu anmelden oder source /etc/profile


    android ausführen --> alle Updates installieren lassen


    Nun als user der Mitglied in der Gruppe android ist:


    git clone --recursive git://github.com/pipelka/xvdr-addon-android.git
    cd xvdr-addon-android/


    android update project -p . --target android-19


    ./bootstrap
    ./configure --with-sdk=/opt/android-sdk-update-manager/ --with-ndk=/opt/android-ndk
    make


    Nun liegt das fertige Zipfile in assets/addons.


    Leider ist meine neue Android TV Box ausgestigen. Deshalb konnte ich es nicht testen.

  • failed to load the dll for addon vdr xvdr client.
    Google weiß da uch nicht viel. Wer kann da helfen?


    Na ja, dlls gibt es unter Android eher nicht.


    Gerald


    HP Proliant MicroServer Gen8, Xeon E3-1230, 12 GB RAM, 3xWD red 2TB im RAID 5, 2xSundtek MediaTV Home DVB-C/T, L4M TWIN-C/T, Ubuntu Server 14.04.1, Plex Media Server
    Samsung UE55H6470

  • So habe es mal auf einem Galaxy S2 getestet. Fehler dort:
    failed to load the dll for addon vdr xvdr client.


    Also über die fehlermeldung würde ich mir erst sorgen machen, wenn das XBMC framework wirklich auf deinem Galaxy S2 installiert ist,
    kann mir nicht vorstellen das irgendwer diesen riesen XBMC klumpen lauffähig auf ein android smartphone portiert hat. ;)
    (Lass mich da aber auch gerne mit entsprechenden link verweisen belehren!)


    Wie auch immer, das addon ist ohne xbmc nicht eigenstängig lauffähig, darum heist es ja auch ADDON! :)


    Was ist eine dll

  • http://xbmc.org/download/


    Die selbe Fehlermeldung dab es bei vnsi in den Android Nightlies vor einiger Zeit auch. Zwischenzeitlich lief das aber. Habe es länger nicht mehr getestet.


    Testest Du mit Frodo oder Gotham?


    https://github.com/pipelka/xbmc-addon-xvdr/issues/71


    Pipelka sagt ja selbst, das man Gotham braucht wobei einige es wohl mit einer gepatchten Version von Frodo hinbekommen haben.

    Grüße


    Hannemann

  • Soooo... Hab gerade mal mit VNSI herumgespielt und wenn mein WLAN besser funktionieren würde, hätte ich sogar HD auf meinem N7.


    Falls VNSI eine Alternative ist...

    Grüße


    Hannemann